%define upstream_name	 Font-TTF
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Perl module for TrueType Font hacking
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Font/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::String)
BuildArch:  noarch

%description
Perl module to manipulate TTF fonts, needed by perl-Text-PDF.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
rm -f %{buildroot}/%{perl_vendorlib}/Font/TTF/Win32.pm

%files
%doc CONTRIBUTORS Changes LICENSE META.yml MYMETA.yml TODO
%{_mandir}/*/*
%{perl_vendorlib}/Font/
%{perl_vendorlib}/ttfmod.pl

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.60.0-5.mga10
+ Revision: 2203964
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.60.0-4.mga9
+ Revision: 1809362
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.60.0-3.mga8
+ Revision: 1504556
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.60.0-2.mga7
+ Revision: 1283914
- Mageia 7 Mass Rebuild

* Sun Jul 30 2017 sander85 <sander85> 1.60.0-1.mga7
+ Revision: 1132695
- update to 1.06

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-3.mga6
+ Revision: 1027636
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.50.0-2.mga6
+ Revision: 966926
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.50.0-1.mga6
+ Revision: 847088
- update to 1.05

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-3.mga5
+ Revision: 744472
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-2.mga5
+ Revision: 684803
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 587624
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 511794
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 367510
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.20.0-1.mga3
+ Revision: 286156
- update to 1.02

* Thu Jan 20 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 26236
- mageia rebuild
- imported package perl-Font-TTF


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 622685
- update to new version 0.48

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2011.0
+ Revision: 407750
- rebuild using %%perl_convert_version

* Fri Jun 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2009.0
+ Revision: 218702
- update to new version 0.45

* Tue Jun 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-1mdv2009.0
+ Revision: 217451
- update to new version 0.44

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.43-1mdv2008.1
+ Revision: 111418
- update to new version 0.43

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.1
+ Revision: 109522
- new version

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.41-1mdv2008.0
+ Revision: 20095
- 0.41


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 14:43:14 (59602)
- 0.40

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 14:39:28 (59601)
Import perl-Font-TTF

* Fri Mar 10 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.38.1-1mdk
- 0.38.1

* Mon Jan 30 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.37-1mdk
- 0.37

* Tue Jun 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.35-1mdk
- 0.35
- Cleanup spec

* Thu Dec 25 2003 Michael Scherer <misc@mandrake.org> 0.34-2mdk
- remove useless win32 files

* Thu Dec 25 2003 Michael Scherer <misc@mandrake.org> 0.34-1mdk 
- introdution in contrib.

